% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PARAMETROS ENTRADA para calculo de curvas de remanso 
% INPUT PARAMETERS for water depth profile / backwater calculation
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
if !exist('parametros_definidos'),
  parametros_definidos=1; 
% si existe previamente el valor que tenga por si acaso esta siendo llamado desde un script
% 1 se definen en este fichero
% 0 se definen a partir de variables externas como parametroscanal...
% 2 todo esta preparado funciones canal, y demas estructuras
%%%%%%% por ejemplo:
%%%%%%%  canal = struct('tipo',1,'param',2.3,'alfa',1,'beta',1,'n',0.011,'Is',0.001); y0= 0.5; xend=100; Q0=5.2 ; canal=defineseccion(canal); y0c=caladocritico ([0.01 20], Q0, canal); y0n=caladonormal([0.01 20],Q0,canal); parametros_definidos=2; script_calculo_remanso

end
if parametros_definidos==2,
  if ~exist('salida_grafica'), salida_grafica=1; end
else
  salida_grafica=1;
end
%
salida_ods = 0; fichero_ods='backwater.ods'; hoja='hoja1';
%
if parametros_definidos==1,
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % Parametros basicos simulacion
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

   %
  resuelve_ode = 1; 
  %%%% 1 RK ode, 
  %%%% 2 metodo directo con deltay
  %%%% 3 metodo deltayelevacion para FEV

  deltay=-0.17; % solo necesario si resuelve_ode==2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
% solo valido para resuelve_ode==3
  deltaxode3=-7.62; 
  expresionendiffinitas = 3; %1 Sotelo, 2 USBR, 3 congreso LCastillo 1996 mod. USBR
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
  Q0 = 1.969;% caudal/flow rate en SI, si FEV, Q=Q(x0)
  y0 = .722;%693;%1.6179;% y(x0) 
  %%
  y0c = .399;%y0;%p.i. para encontrar yc
  y0n = 1.531;%y0;%p.i. para encontrar yn
  %%
%  x0 = 0 (es el 0)
  xend = -20;%70.9;
% xend = +10; calcula perfil hasta 10 m aguas abajo (- aguas arriba)
  Is=0;
%Is = 0.0002; % pendiente (sin inclinacion) / downslope tan theta_s
  
  %%%%%%%%%%%%%%%%%%%%%%%
  % Definicion seccion
  %%%%%%%%%%%%%%%%%%%%%%%

  canal.tipo = 1;
% 1 rectangular, 2 trapezoidal, 3 trapezoidal k1k2 
% 4 triangular, 5 parabolica, 6 circular, 7 herradura, 
% 100 definido mediante tablas (sin implementar)
% 110 compuesto
% 1, 2 y 3 se pueden definir conjuntamente pero más eficiente 
% por separado
  canal.param = 2.5;
% EJEMPLOS SEGUN TIPO:
% canal.param = [b]; % 1
% canal.param = [b k];%2
% canal.param = [b k1 k2];%3
% canal.param = [k];%4
%
  if canal.tipo==1, y0c = ((Q0/canal.param).^2/g).^(1/3); end
%
  canal.alfa = 1; %metido aqui por si acaso forma no regular 
  canal.beta = 1; %metido aqui por si acaso forma no regular
%
%
  canal.n = 0.015; %0.012 % Coeficiente manning (G-M-S)



  % Metemos todo lo que necesita f(x,y) en estructura canal
  costitas = cos(asin(Is));
%
  canal.costitas=costitas;
  canal.Is = Is;


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % Flujo Espacialmente Variado??
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  qast.tipo = 0;%
%%% tipos
% 0 Q cte
% 1 Q creciente con dQ/dx cte
% -1 Q decreciente con dQ/dx siguiendo modelo X (sin implementar)
%% Siguientes solo se usan si qast.tipo == 1
  qast.value = 1.844; %% qast.value es qast, i.e. dQ/dx
  qast.U = 0; %despreciamos el termino eq a delta 90 grados
  qast.delta = 90; %grados
%%%%
%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FIN PARAMETROS ENTRADA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
endif
